# Uses of Interface
org.eclipse.emf.cdo.security.UserPassword

Packages that use UserPassword
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of UserPassword in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return UserPassword
Modifier and Type
Method
Description
`UserPassword`
SecurityFactory.`createUserPassword()`
Returns a new object of class 'User Password'.
`UserPassword`
User.`getPassword()`
Returns the value of the 'Password' containment reference.
Methods in org.eclipse.emf.cdo.security with parameters of type UserPassword
Modifier and Type
Method
Description
`void`
User.`setPassword(UserPassword value)`
Sets the value of the '`Password`' containment reference.

## Uses of UserPassword in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement UserPassword
Modifier and Type
Class
Description
`class`
`UserPasswordImpl`
An implementation of the model object 'User Password'.
Methods in org.eclipse.emf.cdo.security.impl that return UserPassword
Modifier and Type
Method
Description
`UserPassword`
SecurityFactoryImpl.`createUserPassword()`
`UserPassword`
UserImpl.`getPassword()`
Methods in org.eclipse.emf.cdo.security.impl with parameters of type UserPassword
Modifier and Type
Method
Description
`void`
UserImpl.`setPassword(UserPassword newPassword)`

## Uses of UserPassword in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type UserPassword
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseUserPassword(UserPassword object)`
Returns the result of interpreting the object as an instance of 'User Password'.
`boolean`
SecurityValidator.`validateUserPassword(UserPassword userPassword, DiagnosticChain diagnostics, Map<Object,Object> context)`
No user, not even the Administrator, is permitted to read the properties of a `UserPassword`, so this validation is a no-op.
`boolean`
SecurityValidator.`validateUserPasswordGen(UserPassword userPassword, DiagnosticChain diagnostics, Map<Object,Object> context)`